# This file created by conda-build 3.18.10
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/dbus-1.13.12-on-linux_64, last modified Thu Oct 24 20:47:03 2019
# ------------------------------------------------

package:
    name: dbus
    version: 1.13.12
source:
    patches:
        - patches/0001-Add-var-lib-dbus-machine-id-as-a-fallback.patch
        - patches/0002-Make-it-possible-to-read-files-on-proc-which-reports.patch
        - patches/0003-Use-proc-sys-kernel-random-boot_id-as-last-resort-fa.patch
        - patches/0004-disable-fd-limit-tests-not-supported-in-docker.patch
    sha256: 7588649b56dd257c6a5f85a8c45aa2dfdf9e99f4de3983710f452081ca43eca6
    url: http://dbus.freedesktop.org/releases/dbus/dbus-1.13.12.tar.xz
build:
    number: '0'
    run_exports:
        - dbus >=1.13.12,<2.0a0
    string: h746ee38_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_8
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_8
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - make 4.2.1 h1bed415_1
        - pkg-config 0.29.2 h1bed415_8
    host:
        - _libgcc_mutex 0.1 main
        - expat 2.2.6 he6710b0_0
        - glib 2.56.2 hd408876_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - pcre 8.43 he6710b0_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - expat >=2.2.6,<3.0a0
        - glib >=2.56.2,<2.57.0a0
        - libgcc-ng >=7.3.0
test:
    commands:
        - dbus-daemon --version
        - dbus-uuidgen
about:
    description: 'D-Bus is a message bus system, a simple way for applications

        to talk to one another. In addition to interprocess communication, D-Bus helps

        coordinate process lifecycle; it makes it simple and reliable to code a "single

        instance" application or daemon, and to launch applications and daemons on

        demand when their services are needed.

        '
    dev_url: git://anongit.freedesktop.org/dbus/dbus
    doc_source_url: https://cgit.freedesktop.org/dbus/dbus/tree/doc
    doc_url: https://www.freedesktop.org/wiki/IntroductionToDBus/
    home: http://www.freedesktop.org/wiki/Software/dbus/
    license: GPL2
    license_file: COPYING
    summary: Simple message bus system for applications to talk to one another
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - ccordoba12
        - mingwandroid
        - nehaljwani
